---
# playbook for assignment 6 tasks
- hosts: sftp
  become: yes

  tasks:
    - name: creating user in node
      user:
        name: nikhil
        password: VFUKDHtJOdvTk
        groups: sudo
        shell: /bin/bash
        state: present
    
    - name: Creates directory
      file:
        path: "{{ item }}"
        state: directory
      with_items:
      - /home/nikhil/files
      - /home/nikhil/fail
      - /home/nikhil/success

    - name: copy file
      copy:
        src: file/
        dest: /home/nikhil/files/
        owner: nikhil
        group: nikhil
        mode: 0777

    - name: copy script
      copy:
        src: script.sh
        dest: /home/nikhil/script.sh
        mode: 0777
    
    - name: crone job for node
      cron:
        name: "shell script execute in 1 min"
        minute: "1"
        job: "/home/nikhil/script.sh"





